Create Binder Section
Create a new section in a binder.
Binders cannot exceed 50,000 nodes. Nodes include documents, sections, and component binders. If a binder has reached its limit, binder nodes cannot be added to the binder or any of its component binders, even if the component binders have not reached the 50,000 node limit.
POST
/api/{version}/objects/binders/{binder_id}/sectionsHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{binder_id} | The binder id field value. |
Body Parameters
Section link for Body Parameters| Field Name | Description |
|---|---|
name__vrequired | Specify a name for the new section. |
section_number__voptional | Enter a numerical value for the new section. |
parent_id__voptional | If the new section is going to be a subsection, enter the Node ID of the parent section. If left blank, the new section will become a top-level section in the binder. When querying fields on binder nodes, this field corresponds to the parent_section_id__sys field. |
order__voptional | Enter a number reflecting the position of the section within the binder or parent section. A value of 1 has special behavior and instructs Vault to place the section at the first ordinal position of the binder, regardless of any existing order__v values. If provided with a negative value or omitted, Vault places the section at the last ordinal position of the binder, regardless of any existing order__v values. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "name__v=VeevaProm Additional Information" \
-d "section_number__v=1.3" \
-d "parent_id__v=1427232809771:1381853041" \
-d "order__v=1" \
https://myvault.veevavault.com/api/v25.2/objects/binders/566/sectionsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"id": "1427486900128:1467568099"
}Response Details
Section link for Response DetailsOn SUCCESS, Vault returns the Node ID of the newly created section. This is unique within the binder, regardless of level.